<template>
  <div class="content">
    <DataTable :headers="headers" :items="CATEGORIES" @create="createItem" />
  </div>
  <FullscreenModal>
    <ModalCreateCategory />
  </FullscreenModal>
</template>

<script setup lang="ts">
import type { Header } from "vue3-easy-data-table";
import { useCategoriesStore } from "@/stores/categories";
import { useModalStore } from "@/stores/modal";
import { storeToRefs } from "pinia";

const { GetCategories } = useCategoriesStore();
const { CATEGORIES } = storeToRefs(useCategoriesStore());
await GetCategories();

const headers: Header[] = [
  { text: "Title", value: "title", sortable: true },
  { text: "Created at", value: "createdAt", sortable: true },
  { text: "Updated at", value: "updatedAt", sortable: true },
  { text: "Actions", value: "actions" },
];

const { OpenFullscreenModal } = useModalStore();
const createItem = () => {
  OpenFullscreenModal();
};
</script>
